Hermos API

Create Subscription Credit

POST/subscriptions/{id}/credits

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque subscription ID.

Match^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/subscriptions/string/credits" \  -H "Content-Type: application/json" \  -d '{    "amount": 0  }'
{  "dry_run": true,  "plan": {    "operation": "subscription.credit",    "subscription_id": "string",    "customer_id": "string",    "amount": {      "amount": -9007199254740991,      "currency": "string"    },    "steps": [      "createCustomerBalanceTransaction"    ]  }}